%define major 4
%define libname %mklibname %{name} %{major}
%define develname %mklibname %{name} -d

Summary:	Gets a file from a FTP, GOPHER or HTTP server
Summary(de):	Dateien von einem FTP-, GOPHER- oder HTTP-Server bekommen
Name:		curl
Version:	8.7.1
Release:	%mkrel 1
License:	BSD-like
Group:		Networking/Other
URL:		http://curl.haxx.se
# Multilib Patch -----------------------------------------
Patch2:		curl-7.58.0-multilib.patch
Patch7:     03_keep_symbols_compat.patch 
Patch8:     04_workaround_as_needed_bug.patch 
Patch9:     06_always-disable-valgrind.patch 
#-----------------------------------------------------------
BuildRequires: %{_lib}ext2fs-devel
BuildRequires: %{_lib}idn-devel
BuildRequires: %{_lib}krb53-devel
BuildRequires: %{_lib}openssl-devel
BuildRequires: %{_lib}rtmp-devel
BuildRequires: %{_lib}ssh2-devel
BuildRequires:	groff-for-man
BuildRequires:	stunnel
BuildRequires:	openldap
Provides:	webfetch
Requires:	%{libname} = %{version}-%{release}
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Obsoletes: 	%{name} < %version

%description
curl is a client to get documents/files from servers, using any of the
supported protocols. The command is designed to work without user
interaction or any kind of interactivity.

curl offers a busload of useful tricks like proxy support, user
authentication, ftp upload, HTTP post, file transfer resume and more.

This version is compiled with SSL (https) support.

%description -l de
curl ist ein Klient um Dateien/Dokumente von Servern zu bekommen, die die
unterstützten Protokolle unterstützen. Der Befehl ist so angelegt, dass eine 
Interaktion mit dem Benutzer nicht notwendig ist.

curl bietet viele Fähigkeiten wie Proxyunterstützung, Benutzerauthentifizierung, 
ftp Upload, HTTP Post, Fortsetzen von Dateitransferen und mehr.

Diese Version ist mit SSL (https) Unterstützung kompilliert.


%package -n %{libname}
Summary:	A library of functions for file transfer
Summary(de):	Eine Bibliothek von Funktionen für den Dateitransfer
Group:		System/Libraries
Provides: libcurl-gnutls.so.4
Requires:	rootcerts


%description -n %{libname}
libcurl is a library of functions for sending and receiving files through
various protocols, including http and ftp.

You should install this package if you plan to use any applications that
use libcurl.

%description -n %{libname} -l de
%{_lib}curl ist eine Bibliothek für das Senden und Empfangen von Dateien mittels,
verschiedener Protokolle, einschließlich http und ftp.

Sie sollten dieses Paket installieren, wenn Sie planen ein Programm zu nutzen, dass
%{_lib}curl nutzt.


%package -n %{develname}
Summary:	Header files and static libraries for libcurl
Summary(de):	Header-Dateien und statische Bibliotheken für libcurl
Group:		Development/Libraries
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	libcurl%{major}-devel = %{version}-%{release}
Obsoletes:	%mklibname %{name} 4 -d
Provides:	%mklibname %{name} 4 -d

%description -n %{develname}
libcurl is a library of functions for sending and receiving files through
various protocols, including http and ftp.

You should install this package if you wish to develop applications that
use libcurl.

%description -n %{develname} -l de
%{_lib}curl ist eine Bibliothek für das Senden und Empfangen von Dateien mittels,
verschiedener Protokolle, einschließlich http und ftp.

Sie sollten dieses Paket installieren, wenn Sie Programme entwickeln wollen, die
%{_lib}curl nutzen.


%package examples
Summary:	Example files for %{name} development
Summary(de):	Beispieldateien für %{name} Entwicklung
Group:		Development/Libraries
Requires:	%{develname} = %{version}-%{release}

%description examples
Example files for %{name} development.

%description examples -l de
Beispieldateien für %{name} Entwicklung

%prep

%build
pushd  %{_sourcedir}
wget -nc  https://curl.haxx.se/download/curl-%{version}.tar.gz
tar -xf curl-%{version}.tar.gz -C %{_builddir}
popd

pushd %{_builddir}/curl-%{version}
%autopatch -p1

autoreconf -fiv

%configure2_5x \
	--disable-static \
	--with-ssl \
	--with-zlib \
	--with-libidn \
	--with-ssh2 \
	--with-random \
	--enable-versioned-symbols \
	--enable-optimize \
	--enable-nonblocking \
	--enable-thread \
	--enable-crypto-auth \
	--enable-libgcc \
	--enable-ldaps \
	--enable-ipv6 \
	--with-ca-bundle=%{_sysconfdir}/pki/tls/certs/ca-bundle.crt \
	--with-gssapi=%{_prefix} \
	--disable-ares


rm -r docs/examples/.deps

%make 
popd

%install
rm -rf %{buildroot}
pushd %{_builddir}/curl-%{version}
%makeinstall_std 

sed -i -e 's!-Wl,--as-needed!!' -e 's!-Wl,--no-undefined!!' %{buildroot}%{_bindir}/%{name}-config
sed -i -e 's!-Wl,--as-needed!!' -e 's!-Wl,--no-undefined!!' %{buildroot}%{_libdir}/pkgconfig/*.pc

%multiarch_binaries %{buildroot}%{_bindir}/%{name}-config

find %{buildroot} -name ca-bundle.crt -exec rm -f '{}' \;
rm -f %{buildroot}%{_libdir}/{*.la,*.a}
rm -rf %{buildroot}/%{_datadir}/aclocal

#compatible symlink
ln -fs libcurl.so.4.4.0 %buildroot/%{_libdir}/libcurl-gnutls.so.4

popd

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_bindir}/curl
%{_mandir}

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/*.so.%{major}*

%files -n %{develname}
%defattr(-,root,root)
%{_bindir}/curl-config
%{multiarch_bindir}/curl-config
%{_libdir}/libcurl.so
%{_includedir}/curl
%{_libdir}/pkgconfig/*.pc

%files examples
%defattr(-,root,root,644)


%changelog
* Wed Mar 27 2024 tex - 8.7.1-1pclos2024
- new version

* Wed Jan 31 2024 tex - 8.6.0-1pclos2024
- new version

* Wed Dec 06 2023 tex - 8.5.0-1pclos2023
- new version

* Thu Nov 30 2023 tex - 8.4.0-2pclos2023
- rebuild against updates

* Wed Oct 11 2023 tex - 8.4.0-1pclos2023
- new version

* Wed Sep 13 2023 tex - 8.3.0-1pclos2023
- new version

* Wed Jul 26 2023 tex - 8.2.1-1pclos2023
- new version

* Wed Jul 19 2023 tex - 8.2.0-1pclos2023
- new version

